package com.mortals.xhx.module.attendance.model;

import java.util.List;
import java.util.List;
import com.mortals.xhx.module.attendance.model.AttendanceGroupFixedworkEntity;
/**
* 考勤组考勤固定工时查询对象
*
* @author zxfei
* @date 2023-04-08
*/
public class AttendanceGroupFixedworkQuery extends AttendanceGroupFixedworkEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 考勤组 */
    private Long groupIdStart;

    /** 结束 考勤组 */
    private Long groupIdEnd;

    /** 增加 考勤组 */
    private Long groupIdIncrement;

    /** 考勤组列表 */
    private List <Long> groupIdList;

    /** 考勤组排除列表 */
    private List <Long> groupIdNotList;

    /** 考勤组名称 */
    private List<String> groupNameList;

    /** 考勤组名称排除列表 */
    private List <String> groupNameNotList;
    /** 开始 周一是否考勤(0.否,1.是) */
    private Integer mondayStart;

    /** 结束 周一是否考勤(0.否,1.是) */
    private Integer mondayEnd;

    /** 增加 周一是否考勤(0.否,1.是) */
    private Integer mondayIncrement;

    /** 周一是否考勤(0.否,1.是)列表 */
    private List <Integer> mondayList;

    /** 周一是否考勤(0.否,1.是)排除列表 */
    private List <Integer> mondayNotList;

    /** 开始 周一班次ID */
    private Long mondayClassIdStart;

    /** 结束 周一班次ID */
    private Long mondayClassIdEnd;

    /** 增加 周一班次ID */
    private Long mondayClassIdIncrement;

    /** 周一班次ID列表 */
    private List <Long> mondayClassIdList;

    /** 周一班次ID排除列表 */
    private List <Long> mondayClassIdNotList;

    /** 周一班次名称 */
    private List<String> mondayClassNameList;

    /** 周一班次名称排除列表 */
    private List <String> mondayClassNameNotList;
    /** 开始 周二是否考勤(0.否,1.是) */
    private Integer tuesdayStart;

    /** 结束 周二是否考勤(0.否,1.是) */
    private Integer tuesdayEnd;

    /** 增加 周二是否考勤(0.否,1.是) */
    private Integer tuesdayIncrement;

    /** 周二是否考勤(0.否,1.是)列表 */
    private List <Integer> tuesdayList;

    /** 周二是否考勤(0.否,1.是)排除列表 */
    private List <Integer> tuesdayNotList;

    /** 开始 周二班次ID */
    private Long tuesdayClassIdStart;

    /** 结束 周二班次ID */
    private Long tuesdayClassIdEnd;

    /** 增加 周二班次ID */
    private Long tuesdayClassIdIncrement;

    /** 周二班次ID列表 */
    private List <Long> tuesdayClassIdList;

    /** 周二班次ID排除列表 */
    private List <Long> tuesdayClassIdNotList;

    /** 周二班次名称 */
    private List<String> tuesdayClassNameList;

    /** 周二班次名称排除列表 */
    private List <String> tuesdayClassNameNotList;
    /** 开始 周三是否考勤(0.否,1.是) */
    private Integer wednesdayStart;

    /** 结束 周三是否考勤(0.否,1.是) */
    private Integer wednesdayEnd;

    /** 增加 周三是否考勤(0.否,1.是) */
    private Integer wednesdayIncrement;

    /** 周三是否考勤(0.否,1.是)列表 */
    private List <Integer> wednesdayList;

    /** 周三是否考勤(0.否,1.是)排除列表 */
    private List <Integer> wednesdayNotList;

    /** 开始 周三班次ID */
    private Long wednesdayClassIdStart;

    /** 结束 周三班次ID */
    private Long wednesdayClassIdEnd;

    /** 增加 周三班次ID */
    private Long wednesdayClassIdIncrement;

    /** 周三班次ID列表 */
    private List <Long> wednesdayClassIdList;

    /** 周三班次ID排除列表 */
    private List <Long> wednesdayClassIdNotList;

    /** 周三班次名称 */
    private List<String> wednesdayClassNameList;

    /** 周三班次名称排除列表 */
    private List <String> wednesdayClassNameNotList;
    /** 开始 周四是否考勤(0.否,1.是) */
    private Integer thursdayStart;

    /** 结束 周四是否考勤(0.否,1.是) */
    private Integer thursdayEnd;

    /** 增加 周四是否考勤(0.否,1.是) */
    private Integer thursdayIncrement;

    /** 周四是否考勤(0.否,1.是)列表 */
    private List <Integer> thursdayList;

    /** 周四是否考勤(0.否,1.是)排除列表 */
    private List <Integer> thursdayNotList;

    /** 开始 周四班次ID */
    private Long thursdayClassIdStart;

    /** 结束 周四班次ID */
    private Long thursdayClassIdEnd;

    /** 增加 周四班次ID */
    private Long thursdayClassIdIncrement;

    /** 周四班次ID列表 */
    private List <Long> thursdayClassIdList;

    /** 周四班次ID排除列表 */
    private List <Long> thursdayClassIdNotList;

    /** 周四班次名称 */
    private List<String> thursdayClassNameList;

    /** 周四班次名称排除列表 */
    private List <String> thursdayClassNameNotList;
    /** 开始 周五是否考勤(0.否,1.是) */
    private Integer fridayStart;

    /** 结束 周五是否考勤(0.否,1.是) */
    private Integer fridayEnd;

    /** 增加 周五是否考勤(0.否,1.是) */
    private Integer fridayIncrement;

    /** 周五是否考勤(0.否,1.是)列表 */
    private List <Integer> fridayList;

    /** 周五是否考勤(0.否,1.是)排除列表 */
    private List <Integer> fridayNotList;

    /** 开始 周五班次ID */
    private Long fridayClassIdStart;

    /** 结束 周五班次ID */
    private Long fridayClassIdEnd;

    /** 增加 周五班次ID */
    private Long fridayClassIdIncrement;

    /** 周五班次ID列表 */
    private List <Long> fridayClassIdList;

    /** 周五班次ID排除列表 */
    private List <Long> fridayClassIdNotList;

    /** 周五班次名称 */
    private List<String> fridayClassNameList;

    /** 周五班次名称排除列表 */
    private List <String> fridayClassNameNotList;
    /** 开始 周六是否考勤(0.否,1.是) */
    private Integer saturdayStart;

    /** 结束 周六是否考勤(0.否,1.是) */
    private Integer saturdayEnd;

    /** 增加 周六是否考勤(0.否,1.是) */
    private Integer saturdayIncrement;

    /** 周六是否考勤(0.否,1.是)列表 */
    private List <Integer> saturdayList;

    /** 周六是否考勤(0.否,1.是)排除列表 */
    private List <Integer> saturdayNotList;

    /** 开始 周六班次ID */
    private Long saturdayClassIdStart;

    /** 结束 周六班次ID */
    private Long saturdayClassIdEnd;

    /** 增加 周六班次ID */
    private Long saturdayClassIdIncrement;

    /** 周六班次ID列表 */
    private List <Long> saturdayClassIdList;

    /** 周六班次ID排除列表 */
    private List <Long> saturdayClassIdNotList;

    /** 周六班次名称 */
    private List<String> saturdayClassNameList;

    /** 周六班次名称排除列表 */
    private List <String> saturdayClassNameNotList;
    /** 开始 周日是否考勤(0.否,1.是) */
    private Integer sundayStart;

    /** 结束 周日是否考勤(0.否,1.是) */
    private Integer sundayEnd;

    /** 增加 周日是否考勤(0.否,1.是) */
    private Integer sundayIncrement;

    /** 周日是否考勤(0.否,1.是)列表 */
    private List <Integer> sundayList;

    /** 周日是否考勤(0.否,1.是)排除列表 */
    private List <Integer> sundayNotList;

    /** 开始 周日班次ID */
    private Long sundayClassIdStart;

    /** 结束 周日班次ID */
    private Long sundayClassIdEnd;

    /** 增加 周日班次ID */
    private Long sundayClassIdIncrement;

    /** 周日班次ID列表 */
    private List <Long> sundayClassIdList;

    /** 周日班次ID排除列表 */
    private List <Long> sundayClassIdNotList;

    /** 周日班次名称 */
    private List<String> sundayClassNameList;

    /** 周日班次名称排除列表 */
    private List <String> sundayClassNameNotList;
    /** 开始 法定节假日自动排休(0.否,1.是) */
    private Integer holidaysStart;

    /** 结束 法定节假日自动排休(0.否,1.是) */
    private Integer holidaysEnd;

    /** 增加 法定节假日自动排休(0.否,1.是) */
    private Integer holidaysIncrement;

    /** 法定节假日自动排休(0.否,1.是)列表 */
    private List <Integer> holidaysList;

    /** 法定节假日自动排休(0.否,1.是)排除列表 */
    private List <Integer> holidaysNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AttendanceGroupFixedworkQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AttendanceGroupFixedworkQuery> andConditionList;

    public AttendanceGroupFixedworkQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 考勤组
    * @return groupIdStart
    */
    public Long getGroupIdStart(){
        return this.groupIdStart;
    }

    /**
    * 设置 开始 考勤组
    * @param groupIdStart
    */
    public void setGroupIdStart(Long groupIdStart){
        this.groupIdStart = groupIdStart;
    }

    /**
    * 获取 结束 考勤组
    * @return $groupIdEnd
    */
    public Long getGroupIdEnd(){
        return this.groupIdEnd;
    }

    /**
    * 设置 结束 考勤组
    * @param groupIdEnd
    */
    public void setGroupIdEnd(Long groupIdEnd){
        this.groupIdEnd = groupIdEnd;
    }

    /**
    * 获取 增加 考勤组
    * @return groupIdIncrement
    */
    public Long getGroupIdIncrement(){
        return this.groupIdIncrement;
    }

    /**
    * 设置 增加 考勤组
    * @param groupIdIncrement
    */
    public void setGroupIdIncrement(Long groupIdIncrement){
        this.groupIdIncrement = groupIdIncrement;
    }

    /**
    * 获取 考勤组
    * @return groupIdList
    */
    public List<Long> getGroupIdList(){
        return this.groupIdList;
    }

    /**
    * 设置 考勤组
    * @param groupIdList
    */
    public void setGroupIdList(List<Long> groupIdList){
        this.groupIdList = groupIdList;
    }

    /**
    * 获取 考勤组
    * @return groupIdNotList
    */
    public List<Long> getGroupIdNotList(){
        return this.groupIdNotList;
    }

    /**
    * 设置 考勤组
    * @param groupIdNotList
    */
    public void setGroupIdNotList(List<Long> groupIdNotList){
        this.groupIdNotList = groupIdNotList;
    }


    /**
    * 获取 考勤组名称
    * @return groupNameList
    */
    public List<String> getGroupNameList(){
        return this.groupNameList;
    }

    /**
    * 设置 考勤组名称
    * @param groupNameList
    */
    public void setGroupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
    }

    /**
    * 获取 考勤组名称
    * @return groupNameNotList
    */
    public List<String> getGroupNameNotList(){
        return this.groupNameNotList;
    }

    /**
    * 设置 考勤组名称
    * @param groupNameNotList
    */
    public void setGroupNameNotList(List<String> groupNameNotList){
        this.groupNameNotList = groupNameNotList;
    }

    /**
    * 获取 开始 周一是否考勤(0.否,1.是)
    * @return mondayStart
    */
    public Integer getMondayStart(){
        return this.mondayStart;
    }

    /**
    * 设置 开始 周一是否考勤(0.否,1.是)
    * @param mondayStart
    */
    public void setMondayStart(Integer mondayStart){
        this.mondayStart = mondayStart;
    }

    /**
    * 获取 结束 周一是否考勤(0.否,1.是)
    * @return $mondayEnd
    */
    public Integer getMondayEnd(){
        return this.mondayEnd;
    }

    /**
    * 设置 结束 周一是否考勤(0.否,1.是)
    * @param mondayEnd
    */
    public void setMondayEnd(Integer mondayEnd){
        this.mondayEnd = mondayEnd;
    }

    /**
    * 获取 增加 周一是否考勤(0.否,1.是)
    * @return mondayIncrement
    */
    public Integer getMondayIncrement(){
        return this.mondayIncrement;
    }

    /**
    * 设置 增加 周一是否考勤(0.否,1.是)
    * @param mondayIncrement
    */
    public void setMondayIncrement(Integer mondayIncrement){
        this.mondayIncrement = mondayIncrement;
    }

    /**
    * 获取 周一是否考勤(0.否,1.是)
    * @return mondayList
    */
    public List<Integer> getMondayList(){
        return this.mondayList;
    }

    /**
    * 设置 周一是否考勤(0.否,1.是)
    * @param mondayList
    */
    public void setMondayList(List<Integer> mondayList){
        this.mondayList = mondayList;
    }

    /**
    * 获取 周一是否考勤(0.否,1.是)
    * @return mondayNotList
    */
    public List<Integer> getMondayNotList(){
        return this.mondayNotList;
    }

    /**
    * 设置 周一是否考勤(0.否,1.是)
    * @param mondayNotList
    */
    public void setMondayNotList(List<Integer> mondayNotList){
        this.mondayNotList = mondayNotList;
    }


    /**
    * 获取 开始 周一班次ID
    * @return mondayClassIdStart
    */
    public Long getMondayClassIdStart(){
        return this.mondayClassIdStart;
    }

    /**
    * 设置 开始 周一班次ID
    * @param mondayClassIdStart
    */
    public void setMondayClassIdStart(Long mondayClassIdStart){
        this.mondayClassIdStart = mondayClassIdStart;
    }

    /**
    * 获取 结束 周一班次ID
    * @return $mondayClassIdEnd
    */
    public Long getMondayClassIdEnd(){
        return this.mondayClassIdEnd;
    }

    /**
    * 设置 结束 周一班次ID
    * @param mondayClassIdEnd
    */
    public void setMondayClassIdEnd(Long mondayClassIdEnd){
        this.mondayClassIdEnd = mondayClassIdEnd;
    }

    /**
    * 获取 增加 周一班次ID
    * @return mondayClassIdIncrement
    */
    public Long getMondayClassIdIncrement(){
        return this.mondayClassIdIncrement;
    }

    /**
    * 设置 增加 周一班次ID
    * @param mondayClassIdIncrement
    */
    public void setMondayClassIdIncrement(Long mondayClassIdIncrement){
        this.mondayClassIdIncrement = mondayClassIdIncrement;
    }

    /**
    * 获取 周一班次ID
    * @return mondayClassIdList
    */
    public List<Long> getMondayClassIdList(){
        return this.mondayClassIdList;
    }

    /**
    * 设置 周一班次ID
    * @param mondayClassIdList
    */
    public void setMondayClassIdList(List<Long> mondayClassIdList){
        this.mondayClassIdList = mondayClassIdList;
    }

    /**
    * 获取 周一班次ID
    * @return mondayClassIdNotList
    */
    public List<Long> getMondayClassIdNotList(){
        return this.mondayClassIdNotList;
    }

    /**
    * 设置 周一班次ID
    * @param mondayClassIdNotList
    */
    public void setMondayClassIdNotList(List<Long> mondayClassIdNotList){
        this.mondayClassIdNotList = mondayClassIdNotList;
    }


    /**
    * 获取 周一班次名称
    * @return mondayClassNameList
    */
    public List<String> getMondayClassNameList(){
        return this.mondayClassNameList;
    }

    /**
    * 设置 周一班次名称
    * @param mondayClassNameList
    */
    public void setMondayClassNameList(List<String> mondayClassNameList){
        this.mondayClassNameList = mondayClassNameList;
    }

    /**
    * 获取 周一班次名称
    * @return mondayClassNameNotList
    */
    public List<String> getMondayClassNameNotList(){
        return this.mondayClassNameNotList;
    }

    /**
    * 设置 周一班次名称
    * @param mondayClassNameNotList
    */
    public void setMondayClassNameNotList(List<String> mondayClassNameNotList){
        this.mondayClassNameNotList = mondayClassNameNotList;
    }

    /**
    * 获取 开始 周二是否考勤(0.否,1.是)
    * @return tuesdayStart
    */
    public Integer getTuesdayStart(){
        return this.tuesdayStart;
    }

    /**
    * 设置 开始 周二是否考勤(0.否,1.是)
    * @param tuesdayStart
    */
    public void setTuesdayStart(Integer tuesdayStart){
        this.tuesdayStart = tuesdayStart;
    }

    /**
    * 获取 结束 周二是否考勤(0.否,1.是)
    * @return $tuesdayEnd
    */
    public Integer getTuesdayEnd(){
        return this.tuesdayEnd;
    }

    /**
    * 设置 结束 周二是否考勤(0.否,1.是)
    * @param tuesdayEnd
    */
    public void setTuesdayEnd(Integer tuesdayEnd){
        this.tuesdayEnd = tuesdayEnd;
    }

    /**
    * 获取 增加 周二是否考勤(0.否,1.是)
    * @return tuesdayIncrement
    */
    public Integer getTuesdayIncrement(){
        return this.tuesdayIncrement;
    }

    /**
    * 设置 增加 周二是否考勤(0.否,1.是)
    * @param tuesdayIncrement
    */
    public void setTuesdayIncrement(Integer tuesdayIncrement){
        this.tuesdayIncrement = tuesdayIncrement;
    }

    /**
    * 获取 周二是否考勤(0.否,1.是)
    * @return tuesdayList
    */
    public List<Integer> getTuesdayList(){
        return this.tuesdayList;
    }

    /**
    * 设置 周二是否考勤(0.否,1.是)
    * @param tuesdayList
    */
    public void setTuesdayList(List<Integer> tuesdayList){
        this.tuesdayList = tuesdayList;
    }

    /**
    * 获取 周二是否考勤(0.否,1.是)
    * @return tuesdayNotList
    */
    public List<Integer> getTuesdayNotList(){
        return this.tuesdayNotList;
    }

    /**
    * 设置 周二是否考勤(0.否,1.是)
    * @param tuesdayNotList
    */
    public void setTuesdayNotList(List<Integer> tuesdayNotList){
        this.tuesdayNotList = tuesdayNotList;
    }


    /**
    * 获取 开始 周二班次ID
    * @return tuesdayClassIdStart
    */
    public Long getTuesdayClassIdStart(){
        return this.tuesdayClassIdStart;
    }

    /**
    * 设置 开始 周二班次ID
    * @param tuesdayClassIdStart
    */
    public void setTuesdayClassIdStart(Long tuesdayClassIdStart){
        this.tuesdayClassIdStart = tuesdayClassIdStart;
    }

    /**
    * 获取 结束 周二班次ID
    * @return $tuesdayClassIdEnd
    */
    public Long getTuesdayClassIdEnd(){
        return this.tuesdayClassIdEnd;
    }

    /**
    * 设置 结束 周二班次ID
    * @param tuesdayClassIdEnd
    */
    public void setTuesdayClassIdEnd(Long tuesdayClassIdEnd){
        this.tuesdayClassIdEnd = tuesdayClassIdEnd;
    }

    /**
    * 获取 增加 周二班次ID
    * @return tuesdayClassIdIncrement
    */
    public Long getTuesdayClassIdIncrement(){
        return this.tuesdayClassIdIncrement;
    }

    /**
    * 设置 增加 周二班次ID
    * @param tuesdayClassIdIncrement
    */
    public void setTuesdayClassIdIncrement(Long tuesdayClassIdIncrement){
        this.tuesdayClassIdIncrement = tuesdayClassIdIncrement;
    }

    /**
    * 获取 周二班次ID
    * @return tuesdayClassIdList
    */
    public List<Long> getTuesdayClassIdList(){
        return this.tuesdayClassIdList;
    }

    /**
    * 设置 周二班次ID
    * @param tuesdayClassIdList
    */
    public void setTuesdayClassIdList(List<Long> tuesdayClassIdList){
        this.tuesdayClassIdList = tuesdayClassIdList;
    }

    /**
    * 获取 周二班次ID
    * @return tuesdayClassIdNotList
    */
    public List<Long> getTuesdayClassIdNotList(){
        return this.tuesdayClassIdNotList;
    }

    /**
    * 设置 周二班次ID
    * @param tuesdayClassIdNotList
    */
    public void setTuesdayClassIdNotList(List<Long> tuesdayClassIdNotList){
        this.tuesdayClassIdNotList = tuesdayClassIdNotList;
    }


    /**
    * 获取 周二班次名称
    * @return tuesdayClassNameList
    */
    public List<String> getTuesdayClassNameList(){
        return this.tuesdayClassNameList;
    }

    /**
    * 设置 周二班次名称
    * @param tuesdayClassNameList
    */
    public void setTuesdayClassNameList(List<String> tuesdayClassNameList){
        this.tuesdayClassNameList = tuesdayClassNameList;
    }

    /**
    * 获取 周二班次名称
    * @return tuesdayClassNameNotList
    */
    public List<String> getTuesdayClassNameNotList(){
        return this.tuesdayClassNameNotList;
    }

    /**
    * 设置 周二班次名称
    * @param tuesdayClassNameNotList
    */
    public void setTuesdayClassNameNotList(List<String> tuesdayClassNameNotList){
        this.tuesdayClassNameNotList = tuesdayClassNameNotList;
    }

    /**
    * 获取 开始 周三是否考勤(0.否,1.是)
    * @return wednesdayStart
    */
    public Integer getWednesdayStart(){
        return this.wednesdayStart;
    }

    /**
    * 设置 开始 周三是否考勤(0.否,1.是)
    * @param wednesdayStart
    */
    public void setWednesdayStart(Integer wednesdayStart){
        this.wednesdayStart = wednesdayStart;
    }

    /**
    * 获取 结束 周三是否考勤(0.否,1.是)
    * @return $wednesdayEnd
    */
    public Integer getWednesdayEnd(){
        return this.wednesdayEnd;
    }

    /**
    * 设置 结束 周三是否考勤(0.否,1.是)
    * @param wednesdayEnd
    */
    public void setWednesdayEnd(Integer wednesdayEnd){
        this.wednesdayEnd = wednesdayEnd;
    }

    /**
    * 获取 增加 周三是否考勤(0.否,1.是)
    * @return wednesdayIncrement
    */
    public Integer getWednesdayIncrement(){
        return this.wednesdayIncrement;
    }

    /**
    * 设置 增加 周三是否考勤(0.否,1.是)
    * @param wednesdayIncrement
    */
    public void setWednesdayIncrement(Integer wednesdayIncrement){
        this.wednesdayIncrement = wednesdayIncrement;
    }

    /**
    * 获取 周三是否考勤(0.否,1.是)
    * @return wednesdayList
    */
    public List<Integer> getWednesdayList(){
        return this.wednesdayList;
    }

    /**
    * 设置 周三是否考勤(0.否,1.是)
    * @param wednesdayList
    */
    public void setWednesdayList(List<Integer> wednesdayList){
        this.wednesdayList = wednesdayList;
    }

    /**
    * 获取 周三是否考勤(0.否,1.是)
    * @return wednesdayNotList
    */
    public List<Integer> getWednesdayNotList(){
        return this.wednesdayNotList;
    }

    /**
    * 设置 周三是否考勤(0.否,1.是)
    * @param wednesdayNotList
    */
    public void setWednesdayNotList(List<Integer> wednesdayNotList){
        this.wednesdayNotList = wednesdayNotList;
    }


    /**
    * 获取 开始 周三班次ID
    * @return wednesdayClassIdStart
    */
    public Long getWednesdayClassIdStart(){
        return this.wednesdayClassIdStart;
    }

    /**
    * 设置 开始 周三班次ID
    * @param wednesdayClassIdStart
    */
    public void setWednesdayClassIdStart(Long wednesdayClassIdStart){
        this.wednesdayClassIdStart = wednesdayClassIdStart;
    }

    /**
    * 获取 结束 周三班次ID
    * @return $wednesdayClassIdEnd
    */
    public Long getWednesdayClassIdEnd(){
        return this.wednesdayClassIdEnd;
    }

    /**
    * 设置 结束 周三班次ID
    * @param wednesdayClassIdEnd
    */
    public void setWednesdayClassIdEnd(Long wednesdayClassIdEnd){
        this.wednesdayClassIdEnd = wednesdayClassIdEnd;
    }

    /**
    * 获取 增加 周三班次ID
    * @return wednesdayClassIdIncrement
    */
    public Long getWednesdayClassIdIncrement(){
        return this.wednesdayClassIdIncrement;
    }

    /**
    * 设置 增加 周三班次ID
    * @param wednesdayClassIdIncrement
    */
    public void setWednesdayClassIdIncrement(Long wednesdayClassIdIncrement){
        this.wednesdayClassIdIncrement = wednesdayClassIdIncrement;
    }

    /**
    * 获取 周三班次ID
    * @return wednesdayClassIdList
    */
    public List<Long> getWednesdayClassIdList(){
        return this.wednesdayClassIdList;
    }

    /**
    * 设置 周三班次ID
    * @param wednesdayClassIdList
    */
    public void setWednesdayClassIdList(List<Long> wednesdayClassIdList){
        this.wednesdayClassIdList = wednesdayClassIdList;
    }

    /**
    * 获取 周三班次ID
    * @return wednesdayClassIdNotList
    */
    public List<Long> getWednesdayClassIdNotList(){
        return this.wednesdayClassIdNotList;
    }

    /**
    * 设置 周三班次ID
    * @param wednesdayClassIdNotList
    */
    public void setWednesdayClassIdNotList(List<Long> wednesdayClassIdNotList){
        this.wednesdayClassIdNotList = wednesdayClassIdNotList;
    }


    /**
    * 获取 周三班次名称
    * @return wednesdayClassNameList
    */
    public List<String> getWednesdayClassNameList(){
        return this.wednesdayClassNameList;
    }

    /**
    * 设置 周三班次名称
    * @param wednesdayClassNameList
    */
    public void setWednesdayClassNameList(List<String> wednesdayClassNameList){
        this.wednesdayClassNameList = wednesdayClassNameList;
    }

    /**
    * 获取 周三班次名称
    * @return wednesdayClassNameNotList
    */
    public List<String> getWednesdayClassNameNotList(){
        return this.wednesdayClassNameNotList;
    }

    /**
    * 设置 周三班次名称
    * @param wednesdayClassNameNotList
    */
    public void setWednesdayClassNameNotList(List<String> wednesdayClassNameNotList){
        this.wednesdayClassNameNotList = wednesdayClassNameNotList;
    }

    /**
    * 获取 开始 周四是否考勤(0.否,1.是)
    * @return thursdayStart
    */
    public Integer getThursdayStart(){
        return this.thursdayStart;
    }

    /**
    * 设置 开始 周四是否考勤(0.否,1.是)
    * @param thursdayStart
    */
    public void setThursdayStart(Integer thursdayStart){
        this.thursdayStart = thursdayStart;
    }

    /**
    * 获取 结束 周四是否考勤(0.否,1.是)
    * @return $thursdayEnd
    */
    public Integer getThursdayEnd(){
        return this.thursdayEnd;
    }

    /**
    * 设置 结束 周四是否考勤(0.否,1.是)
    * @param thursdayEnd
    */
    public void setThursdayEnd(Integer thursdayEnd){
        this.thursdayEnd = thursdayEnd;
    }

    /**
    * 获取 增加 周四是否考勤(0.否,1.是)
    * @return thursdayIncrement
    */
    public Integer getThursdayIncrement(){
        return this.thursdayIncrement;
    }

    /**
    * 设置 增加 周四是否考勤(0.否,1.是)
    * @param thursdayIncrement
    */
    public void setThursdayIncrement(Integer thursdayIncrement){
        this.thursdayIncrement = thursdayIncrement;
    }

    /**
    * 获取 周四是否考勤(0.否,1.是)
    * @return thursdayList
    */
    public List<Integer> getThursdayList(){
        return this.thursdayList;
    }

    /**
    * 设置 周四是否考勤(0.否,1.是)
    * @param thursdayList
    */
    public void setThursdayList(List<Integer> thursdayList){
        this.thursdayList = thursdayList;
    }

    /**
    * 获取 周四是否考勤(0.否,1.是)
    * @return thursdayNotList
    */
    public List<Integer> getThursdayNotList(){
        return this.thursdayNotList;
    }

    /**
    * 设置 周四是否考勤(0.否,1.是)
    * @param thursdayNotList
    */
    public void setThursdayNotList(List<Integer> thursdayNotList){
        this.thursdayNotList = thursdayNotList;
    }


    /**
    * 获取 开始 周四班次ID
    * @return thursdayClassIdStart
    */
    public Long getThursdayClassIdStart(){
        return this.thursdayClassIdStart;
    }

    /**
    * 设置 开始 周四班次ID
    * @param thursdayClassIdStart
    */
    public void setThursdayClassIdStart(Long thursdayClassIdStart){
        this.thursdayClassIdStart = thursdayClassIdStart;
    }

    /**
    * 获取 结束 周四班次ID
    * @return $thursdayClassIdEnd
    */
    public Long getThursdayClassIdEnd(){
        return this.thursdayClassIdEnd;
    }

    /**
    * 设置 结束 周四班次ID
    * @param thursdayClassIdEnd
    */
    public void setThursdayClassIdEnd(Long thursdayClassIdEnd){
        this.thursdayClassIdEnd = thursdayClassIdEnd;
    }

    /**
    * 获取 增加 周四班次ID
    * @return thursdayClassIdIncrement
    */
    public Long getThursdayClassIdIncrement(){
        return this.thursdayClassIdIncrement;
    }

    /**
    * 设置 增加 周四班次ID
    * @param thursdayClassIdIncrement
    */
    public void setThursdayClassIdIncrement(Long thursdayClassIdIncrement){
        this.thursdayClassIdIncrement = thursdayClassIdIncrement;
    }

    /**
    * 获取 周四班次ID
    * @return thursdayClassIdList
    */
    public List<Long> getThursdayClassIdList(){
        return this.thursdayClassIdList;
    }

    /**
    * 设置 周四班次ID
    * @param thursdayClassIdList
    */
    public void setThursdayClassIdList(List<Long> thursdayClassIdList){
        this.thursdayClassIdList = thursdayClassIdList;
    }

    /**
    * 获取 周四班次ID
    * @return thursdayClassIdNotList
    */
    public List<Long> getThursdayClassIdNotList(){
        return this.thursdayClassIdNotList;
    }

    /**
    * 设置 周四班次ID
    * @param thursdayClassIdNotList
    */
    public void setThursdayClassIdNotList(List<Long> thursdayClassIdNotList){
        this.thursdayClassIdNotList = thursdayClassIdNotList;
    }


    /**
    * 获取 周四班次名称
    * @return thursdayClassNameList
    */
    public List<String> getThursdayClassNameList(){
        return this.thursdayClassNameList;
    }

    /**
    * 设置 周四班次名称
    * @param thursdayClassNameList
    */
    public void setThursdayClassNameList(List<String> thursdayClassNameList){
        this.thursdayClassNameList = thursdayClassNameList;
    }

    /**
    * 获取 周四班次名称
    * @return thursdayClassNameNotList
    */
    public List<String> getThursdayClassNameNotList(){
        return this.thursdayClassNameNotList;
    }

    /**
    * 设置 周四班次名称
    * @param thursdayClassNameNotList
    */
    public void setThursdayClassNameNotList(List<String> thursdayClassNameNotList){
        this.thursdayClassNameNotList = thursdayClassNameNotList;
    }

    /**
    * 获取 开始 周五是否考勤(0.否,1.是)
    * @return fridayStart
    */
    public Integer getFridayStart(){
        return this.fridayStart;
    }

    /**
    * 设置 开始 周五是否考勤(0.否,1.是)
    * @param fridayStart
    */
    public void setFridayStart(Integer fridayStart){
        this.fridayStart = fridayStart;
    }

    /**
    * 获取 结束 周五是否考勤(0.否,1.是)
    * @return $fridayEnd
    */
    public Integer getFridayEnd(){
        return this.fridayEnd;
    }

    /**
    * 设置 结束 周五是否考勤(0.否,1.是)
    * @param fridayEnd
    */
    public void setFridayEnd(Integer fridayEnd){
        this.fridayEnd = fridayEnd;
    }

    /**
    * 获取 增加 周五是否考勤(0.否,1.是)
    * @return fridayIncrement
    */
    public Integer getFridayIncrement(){
        return this.fridayIncrement;
    }

    /**
    * 设置 增加 周五是否考勤(0.否,1.是)
    * @param fridayIncrement
    */
    public void setFridayIncrement(Integer fridayIncrement){
        this.fridayIncrement = fridayIncrement;
    }

    /**
    * 获取 周五是否考勤(0.否,1.是)
    * @return fridayList
    */
    public List<Integer> getFridayList(){
        return this.fridayList;
    }

    /**
    * 设置 周五是否考勤(0.否,1.是)
    * @param fridayList
    */
    public void setFridayList(List<Integer> fridayList){
        this.fridayList = fridayList;
    }

    /**
    * 获取 周五是否考勤(0.否,1.是)
    * @return fridayNotList
    */
    public List<Integer> getFridayNotList(){
        return this.fridayNotList;
    }

    /**
    * 设置 周五是否考勤(0.否,1.是)
    * @param fridayNotList
    */
    public void setFridayNotList(List<Integer> fridayNotList){
        this.fridayNotList = fridayNotList;
    }


    /**
    * 获取 开始 周五班次ID
    * @return fridayClassIdStart
    */
    public Long getFridayClassIdStart(){
        return this.fridayClassIdStart;
    }

    /**
    * 设置 开始 周五班次ID
    * @param fridayClassIdStart
    */
    public void setFridayClassIdStart(Long fridayClassIdStart){
        this.fridayClassIdStart = fridayClassIdStart;
    }

    /**
    * 获取 结束 周五班次ID
    * @return $fridayClassIdEnd
    */
    public Long getFridayClassIdEnd(){
        return this.fridayClassIdEnd;
    }

    /**
    * 设置 结束 周五班次ID
    * @param fridayClassIdEnd
    */
    public void setFridayClassIdEnd(Long fridayClassIdEnd){
        this.fridayClassIdEnd = fridayClassIdEnd;
    }

    /**
    * 获取 增加 周五班次ID
    * @return fridayClassIdIncrement
    */
    public Long getFridayClassIdIncrement(){
        return this.fridayClassIdIncrement;
    }

    /**
    * 设置 增加 周五班次ID
    * @param fridayClassIdIncrement
    */
    public void setFridayClassIdIncrement(Long fridayClassIdIncrement){
        this.fridayClassIdIncrement = fridayClassIdIncrement;
    }

    /**
    * 获取 周五班次ID
    * @return fridayClassIdList
    */
    public List<Long> getFridayClassIdList(){
        return this.fridayClassIdList;
    }

    /**
    * 设置 周五班次ID
    * @param fridayClassIdList
    */
    public void setFridayClassIdList(List<Long> fridayClassIdList){
        this.fridayClassIdList = fridayClassIdList;
    }

    /**
    * 获取 周五班次ID
    * @return fridayClassIdNotList
    */
    public List<Long> getFridayClassIdNotList(){
        return this.fridayClassIdNotList;
    }

    /**
    * 设置 周五班次ID
    * @param fridayClassIdNotList
    */
    public void setFridayClassIdNotList(List<Long> fridayClassIdNotList){
        this.fridayClassIdNotList = fridayClassIdNotList;
    }


    /**
    * 获取 周五班次名称
    * @return fridayClassNameList
    */
    public List<String> getFridayClassNameList(){
        return this.fridayClassNameList;
    }

    /**
    * 设置 周五班次名称
    * @param fridayClassNameList
    */
    public void setFridayClassNameList(List<String> fridayClassNameList){
        this.fridayClassNameList = fridayClassNameList;
    }

    /**
    * 获取 周五班次名称
    * @return fridayClassNameNotList
    */
    public List<String> getFridayClassNameNotList(){
        return this.fridayClassNameNotList;
    }

    /**
    * 设置 周五班次名称
    * @param fridayClassNameNotList
    */
    public void setFridayClassNameNotList(List<String> fridayClassNameNotList){
        this.fridayClassNameNotList = fridayClassNameNotList;
    }

    /**
    * 获取 开始 周六是否考勤(0.否,1.是)
    * @return saturdayStart
    */
    public Integer getSaturdayStart(){
        return this.saturdayStart;
    }

    /**
    * 设置 开始 周六是否考勤(0.否,1.是)
    * @param saturdayStart
    */
    public void setSaturdayStart(Integer saturdayStart){
        this.saturdayStart = saturdayStart;
    }

    /**
    * 获取 结束 周六是否考勤(0.否,1.是)
    * @return $saturdayEnd
    */
    public Integer getSaturdayEnd(){
        return this.saturdayEnd;
    }

    /**
    * 设置 结束 周六是否考勤(0.否,1.是)
    * @param saturdayEnd
    */
    public void setSaturdayEnd(Integer saturdayEnd){
        this.saturdayEnd = saturdayEnd;
    }

    /**
    * 获取 增加 周六是否考勤(0.否,1.是)
    * @return saturdayIncrement
    */
    public Integer getSaturdayIncrement(){
        return this.saturdayIncrement;
    }

    /**
    * 设置 增加 周六是否考勤(0.否,1.是)
    * @param saturdayIncrement
    */
    public void setSaturdayIncrement(Integer saturdayIncrement){
        this.saturdayIncrement = saturdayIncrement;
    }

    /**
    * 获取 周六是否考勤(0.否,1.是)
    * @return saturdayList
    */
    public List<Integer> getSaturdayList(){
        return this.saturdayList;
    }

    /**
    * 设置 周六是否考勤(0.否,1.是)
    * @param saturdayList
    */
    public void setSaturdayList(List<Integer> saturdayList){
        this.saturdayList = saturdayList;
    }

    /**
    * 获取 周六是否考勤(0.否,1.是)
    * @return saturdayNotList
    */
    public List<Integer> getSaturdayNotList(){
        return this.saturdayNotList;
    }

    /**
    * 设置 周六是否考勤(0.否,1.是)
    * @param saturdayNotList
    */
    public void setSaturdayNotList(List<Integer> saturdayNotList){
        this.saturdayNotList = saturdayNotList;
    }


    /**
    * 获取 开始 周六班次ID
    * @return saturdayClassIdStart
    */
    public Long getSaturdayClassIdStart(){
        return this.saturdayClassIdStart;
    }

    /**
    * 设置 开始 周六班次ID
    * @param saturdayClassIdStart
    */
    public void setSaturdayClassIdStart(Long saturdayClassIdStart){
        this.saturdayClassIdStart = saturdayClassIdStart;
    }

    /**
    * 获取 结束 周六班次ID
    * @return $saturdayClassIdEnd
    */
    public Long getSaturdayClassIdEnd(){
        return this.saturdayClassIdEnd;
    }

    /**
    * 设置 结束 周六班次ID
    * @param saturdayClassIdEnd
    */
    public void setSaturdayClassIdEnd(Long saturdayClassIdEnd){
        this.saturdayClassIdEnd = saturdayClassIdEnd;
    }

    /**
    * 获取 增加 周六班次ID
    * @return saturdayClassIdIncrement
    */
    public Long getSaturdayClassIdIncrement(){
        return this.saturdayClassIdIncrement;
    }

    /**
    * 设置 增加 周六班次ID
    * @param saturdayClassIdIncrement
    */
    public void setSaturdayClassIdIncrement(Long saturdayClassIdIncrement){
        this.saturdayClassIdIncrement = saturdayClassIdIncrement;
    }

    /**
    * 获取 周六班次ID
    * @return saturdayClassIdList
    */
    public List<Long> getSaturdayClassIdList(){
        return this.saturdayClassIdList;
    }

    /**
    * 设置 周六班次ID
    * @param saturdayClassIdList
    */
    public void setSaturdayClassIdList(List<Long> saturdayClassIdList){
        this.saturdayClassIdList = saturdayClassIdList;
    }

    /**
    * 获取 周六班次ID
    * @return saturdayClassIdNotList
    */
    public List<Long> getSaturdayClassIdNotList(){
        return this.saturdayClassIdNotList;
    }

    /**
    * 设置 周六班次ID
    * @param saturdayClassIdNotList
    */
    public void setSaturdayClassIdNotList(List<Long> saturdayClassIdNotList){
        this.saturdayClassIdNotList = saturdayClassIdNotList;
    }


    /**
    * 获取 周六班次名称
    * @return saturdayClassNameList
    */
    public List<String> getSaturdayClassNameList(){
        return this.saturdayClassNameList;
    }

    /**
    * 设置 周六班次名称
    * @param saturdayClassNameList
    */
    public void setSaturdayClassNameList(List<String> saturdayClassNameList){
        this.saturdayClassNameList = saturdayClassNameList;
    }

    /**
    * 获取 周六班次名称
    * @return saturdayClassNameNotList
    */
    public List<String> getSaturdayClassNameNotList(){
        return this.saturdayClassNameNotList;
    }

    /**
    * 设置 周六班次名称
    * @param saturdayClassNameNotList
    */
    public void setSaturdayClassNameNotList(List<String> saturdayClassNameNotList){
        this.saturdayClassNameNotList = saturdayClassNameNotList;
    }

    /**
    * 获取 开始 周日是否考勤(0.否,1.是)
    * @return sundayStart
    */
    public Integer getSundayStart(){
        return this.sundayStart;
    }

    /**
    * 设置 开始 周日是否考勤(0.否,1.是)
    * @param sundayStart
    */
    public void setSundayStart(Integer sundayStart){
        this.sundayStart = sundayStart;
    }

    /**
    * 获取 结束 周日是否考勤(0.否,1.是)
    * @return $sundayEnd
    */
    public Integer getSundayEnd(){
        return this.sundayEnd;
    }

    /**
    * 设置 结束 周日是否考勤(0.否,1.是)
    * @param sundayEnd
    */
    public void setSundayEnd(Integer sundayEnd){
        this.sundayEnd = sundayEnd;
    }

    /**
    * 获取 增加 周日是否考勤(0.否,1.是)
    * @return sundayIncrement
    */
    public Integer getSundayIncrement(){
        return this.sundayIncrement;
    }

    /**
    * 设置 增加 周日是否考勤(0.否,1.是)
    * @param sundayIncrement
    */
    public void setSundayIncrement(Integer sundayIncrement){
        this.sundayIncrement = sundayIncrement;
    }

    /**
    * 获取 周日是否考勤(0.否,1.是)
    * @return sundayList
    */
    public List<Integer> getSundayList(){
        return this.sundayList;
    }

    /**
    * 设置 周日是否考勤(0.否,1.是)
    * @param sundayList
    */
    public void setSundayList(List<Integer> sundayList){
        this.sundayList = sundayList;
    }

    /**
    * 获取 周日是否考勤(0.否,1.是)
    * @return sundayNotList
    */
    public List<Integer> getSundayNotList(){
        return this.sundayNotList;
    }

    /**
    * 设置 周日是否考勤(0.否,1.是)
    * @param sundayNotList
    */
    public void setSundayNotList(List<Integer> sundayNotList){
        this.sundayNotList = sundayNotList;
    }


    /**
    * 获取 开始 周日班次ID
    * @return sundayClassIdStart
    */
    public Long getSundayClassIdStart(){
        return this.sundayClassIdStart;
    }

    /**
    * 设置 开始 周日班次ID
    * @param sundayClassIdStart
    */
    public void setSundayClassIdStart(Long sundayClassIdStart){
        this.sundayClassIdStart = sundayClassIdStart;
    }

    /**
    * 获取 结束 周日班次ID
    * @return $sundayClassIdEnd
    */
    public Long getSundayClassIdEnd(){
        return this.sundayClassIdEnd;
    }

    /**
    * 设置 结束 周日班次ID
    * @param sundayClassIdEnd
    */
    public void setSundayClassIdEnd(Long sundayClassIdEnd){
        this.sundayClassIdEnd = sundayClassIdEnd;
    }

    /**
    * 获取 增加 周日班次ID
    * @return sundayClassIdIncrement
    */
    public Long getSundayClassIdIncrement(){
        return this.sundayClassIdIncrement;
    }

    /**
    * 设置 增加 周日班次ID
    * @param sundayClassIdIncrement
    */
    public void setSundayClassIdIncrement(Long sundayClassIdIncrement){
        this.sundayClassIdIncrement = sundayClassIdIncrement;
    }

    /**
    * 获取 周日班次ID
    * @return sundayClassIdList
    */
    public List<Long> getSundayClassIdList(){
        return this.sundayClassIdList;
    }

    /**
    * 设置 周日班次ID
    * @param sundayClassIdList
    */
    public void setSundayClassIdList(List<Long> sundayClassIdList){
        this.sundayClassIdList = sundayClassIdList;
    }

    /**
    * 获取 周日班次ID
    * @return sundayClassIdNotList
    */
    public List<Long> getSundayClassIdNotList(){
        return this.sundayClassIdNotList;
    }

    /**
    * 设置 周日班次ID
    * @param sundayClassIdNotList
    */
    public void setSundayClassIdNotList(List<Long> sundayClassIdNotList){
        this.sundayClassIdNotList = sundayClassIdNotList;
    }


    /**
    * 获取 周日班次名称
    * @return sundayClassNameList
    */
    public List<String> getSundayClassNameList(){
        return this.sundayClassNameList;
    }

    /**
    * 设置 周日班次名称
    * @param sundayClassNameList
    */
    public void setSundayClassNameList(List<String> sundayClassNameList){
        this.sundayClassNameList = sundayClassNameList;
    }

    /**
    * 获取 周日班次名称
    * @return sundayClassNameNotList
    */
    public List<String> getSundayClassNameNotList(){
        return this.sundayClassNameNotList;
    }

    /**
    * 设置 周日班次名称
    * @param sundayClassNameNotList
    */
    public void setSundayClassNameNotList(List<String> sundayClassNameNotList){
        this.sundayClassNameNotList = sundayClassNameNotList;
    }

    /**
    * 获取 开始 法定节假日自动排休(0.否,1.是)
    * @return holidaysStart
    */
    public Integer getHolidaysStart(){
        return this.holidaysStart;
    }

    /**
    * 设置 开始 法定节假日自动排休(0.否,1.是)
    * @param holidaysStart
    */
    public void setHolidaysStart(Integer holidaysStart){
        this.holidaysStart = holidaysStart;
    }

    /**
    * 获取 结束 法定节假日自动排休(0.否,1.是)
    * @return $holidaysEnd
    */
    public Integer getHolidaysEnd(){
        return this.holidaysEnd;
    }

    /**
    * 设置 结束 法定节假日自动排休(0.否,1.是)
    * @param holidaysEnd
    */
    public void setHolidaysEnd(Integer holidaysEnd){
        this.holidaysEnd = holidaysEnd;
    }

    /**
    * 获取 增加 法定节假日自动排休(0.否,1.是)
    * @return holidaysIncrement
    */
    public Integer getHolidaysIncrement(){
        return this.holidaysIncrement;
    }

    /**
    * 设置 增加 法定节假日自动排休(0.否,1.是)
    * @param holidaysIncrement
    */
    public void setHolidaysIncrement(Integer holidaysIncrement){
        this.holidaysIncrement = holidaysIncrement;
    }

    /**
    * 获取 法定节假日自动排休(0.否,1.是)
    * @return holidaysList
    */
    public List<Integer> getHolidaysList(){
        return this.holidaysList;
    }

    /**
    * 设置 法定节假日自动排休(0.否,1.是)
    * @param holidaysList
    */
    public void setHolidaysList(List<Integer> holidaysList){
        this.holidaysList = holidaysList;
    }

    /**
    * 获取 法定节假日自动排休(0.否,1.是)
    * @return holidaysNotList
    */
    public List<Integer> getHolidaysNotList(){
        return this.holidaysNotList;
    }

    /**
    * 设置 法定节假日自动排休(0.否,1.是)
    * @param holidaysNotList
    */
    public void setHolidaysNotList(List<Integer> holidaysNotList){
        this.holidaysNotList = holidaysNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public AttendanceGroupFixedworkQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public AttendanceGroupFixedworkQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public AttendanceGroupFixedworkQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public AttendanceGroupFixedworkQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public AttendanceGroupFixedworkQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public AttendanceGroupFixedworkQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  考勤组
    * @param groupId
    */
    public AttendanceGroupFixedworkQuery groupId(Long groupId){
	    setGroupId(groupId);
		return this;
    }
	
	 /**
    * 设置 开始 考勤组
    * @param groupIdStart
    */
    public AttendanceGroupFixedworkQuery groupIdStart(Long groupIdStart){
		this.groupIdStart = groupIdStart;
		return this;
    }

    /**
    * 设置 结束 考勤组
    * @param groupIdEnd
    */
    public AttendanceGroupFixedworkQuery groupIdEnd(Long groupIdEnd){
		this.groupIdEnd = groupIdEnd;
		return this;
    }

    /**
    * 设置 增加 考勤组
    * @param groupIdIncrement
    */
    public AttendanceGroupFixedworkQuery groupIdIncrement(Long groupIdIncrement){
		this.groupIdIncrement = groupIdIncrement;
		return this;
    }

    /**
    * 设置 考勤组
    * @param groupIdList
    */
    public AttendanceGroupFixedworkQuery groupIdList(List<Long> groupIdList){
        this.groupIdList = groupIdList;
		return this;
        }

        /**
        * 设置 考勤组
        * @param groupIdNotList
        */
        public AttendanceGroupFixedworkQuery groupIdNotList(List<Long> groupIdNotList){
        this.groupIdNotList = groupIdNotList;
        return this;
        }


	/**
    * 设置 考勤组名称
    * @param groupName
    */
    public AttendanceGroupFixedworkQuery groupName(String groupName){
        setGroupName(groupName);
		return this;
    }

    /**
    * 设置 考勤组名称
    * @param groupNameList
    */
    public AttendanceGroupFixedworkQuery groupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
		return this;
    }

    /**
    * 设置  周一是否考勤(0.否,1.是)
    * @param monday
    */
    public AttendanceGroupFixedworkQuery monday(Integer monday){
	    setMonday(monday);
		return this;
    }
	
	 /**
    * 设置 开始 周一是否考勤(0.否,1.是)
    * @param mondayStart
    */
    public AttendanceGroupFixedworkQuery mondayStart(Integer mondayStart){
		this.mondayStart = mondayStart;
		return this;
    }

    /**
    * 设置 结束 周一是否考勤(0.否,1.是)
    * @param mondayEnd
    */
    public AttendanceGroupFixedworkQuery mondayEnd(Integer mondayEnd){
		this.mondayEnd = mondayEnd;
		return this;
    }

    /**
    * 设置 增加 周一是否考勤(0.否,1.是)
    * @param mondayIncrement
    */
    public AttendanceGroupFixedworkQuery mondayIncrement(Integer mondayIncrement){
		this.mondayIncrement = mondayIncrement;
		return this;
    }

    /**
    * 设置 周一是否考勤(0.否,1.是)
    * @param mondayList
    */
    public AttendanceGroupFixedworkQuery mondayList(List<Integer> mondayList){
        this.mondayList = mondayList;
		return this;
        }

        /**
        * 设置 周一是否考勤(0.否,1.是)
        * @param mondayNotList
        */
        public AttendanceGroupFixedworkQuery mondayNotList(List<Integer> mondayNotList){
        this.mondayNotList = mondayNotList;
        return this;
        }

    /**
    * 设置  周一班次ID
    * @param mondayClassId
    */
    public AttendanceGroupFixedworkQuery mondayClassId(Long mondayClassId){
	    setMondayClassId(mondayClassId);
		return this;
    }
	
	 /**
    * 设置 开始 周一班次ID
    * @param mondayClassIdStart
    */
    public AttendanceGroupFixedworkQuery mondayClassIdStart(Long mondayClassIdStart){
		this.mondayClassIdStart = mondayClassIdStart;
		return this;
    }

    /**
    * 设置 结束 周一班次ID
    * @param mondayClassIdEnd
    */
    public AttendanceGroupFixedworkQuery mondayClassIdEnd(Long mondayClassIdEnd){
		this.mondayClassIdEnd = mondayClassIdEnd;
		return this;
    }

    /**
    * 设置 增加 周一班次ID
    * @param mondayClassIdIncrement
    */
    public AttendanceGroupFixedworkQuery mondayClassIdIncrement(Long mondayClassIdIncrement){
		this.mondayClassIdIncrement = mondayClassIdIncrement;
		return this;
    }

    /**
    * 设置 周一班次ID
    * @param mondayClassIdList
    */
    public AttendanceGroupFixedworkQuery mondayClassIdList(List<Long> mondayClassIdList){
        this.mondayClassIdList = mondayClassIdList;
		return this;
        }

        /**
        * 设置 周一班次ID
        * @param mondayClassIdNotList
        */
        public AttendanceGroupFixedworkQuery mondayClassIdNotList(List<Long> mondayClassIdNotList){
        this.mondayClassIdNotList = mondayClassIdNotList;
        return this;
        }


	/**
    * 设置 周一班次名称
    * @param mondayClassName
    */
    public AttendanceGroupFixedworkQuery mondayClassName(String mondayClassName){
        setMondayClassName(mondayClassName);
		return this;
    }

    /**
    * 设置 周一班次名称
    * @param mondayClassNameList
    */
    public AttendanceGroupFixedworkQuery mondayClassNameList(List<String> mondayClassNameList){
        this.mondayClassNameList = mondayClassNameList;
		return this;
    }

    /**
    * 设置  周二是否考勤(0.否,1.是)
    * @param tuesday
    */
    public AttendanceGroupFixedworkQuery tuesday(Integer tuesday){
	    setTuesday(tuesday);
		return this;
    }
	
	 /**
    * 设置 开始 周二是否考勤(0.否,1.是)
    * @param tuesdayStart
    */
    public AttendanceGroupFixedworkQuery tuesdayStart(Integer tuesdayStart){
		this.tuesdayStart = tuesdayStart;
		return this;
    }

    /**
    * 设置 结束 周二是否考勤(0.否,1.是)
    * @param tuesdayEnd
    */
    public AttendanceGroupFixedworkQuery tuesdayEnd(Integer tuesdayEnd){
		this.tuesdayEnd = tuesdayEnd;
		return this;
    }

    /**
    * 设置 增加 周二是否考勤(0.否,1.是)
    * @param tuesdayIncrement
    */
    public AttendanceGroupFixedworkQuery tuesdayIncrement(Integer tuesdayIncrement){
		this.tuesdayIncrement = tuesdayIncrement;
		return this;
    }

    /**
    * 设置 周二是否考勤(0.否,1.是)
    * @param tuesdayList
    */
    public AttendanceGroupFixedworkQuery tuesdayList(List<Integer> tuesdayList){
        this.tuesdayList = tuesdayList;
		return this;
        }

        /**
        * 设置 周二是否考勤(0.否,1.是)
        * @param tuesdayNotList
        */
        public AttendanceGroupFixedworkQuery tuesdayNotList(List<Integer> tuesdayNotList){
        this.tuesdayNotList = tuesdayNotList;
        return this;
        }

    /**
    * 设置  周二班次ID
    * @param tuesdayClassId
    */
    public AttendanceGroupFixedworkQuery tuesdayClassId(Long tuesdayClassId){
	    setTuesdayClassId(tuesdayClassId);
		return this;
    }
	
	 /**
    * 设置 开始 周二班次ID
    * @param tuesdayClassIdStart
    */
    public AttendanceGroupFixedworkQuery tuesdayClassIdStart(Long tuesdayClassIdStart){
		this.tuesdayClassIdStart = tuesdayClassIdStart;
		return this;
    }

    /**
    * 设置 结束 周二班次ID
    * @param tuesdayClassIdEnd
    */
    public AttendanceGroupFixedworkQuery tuesdayClassIdEnd(Long tuesdayClassIdEnd){
		this.tuesdayClassIdEnd = tuesdayClassIdEnd;
		return this;
    }

    /**
    * 设置 增加 周二班次ID
    * @param tuesdayClassIdIncrement
    */
    public AttendanceGroupFixedworkQuery tuesdayClassIdIncrement(Long tuesdayClassIdIncrement){
		this.tuesdayClassIdIncrement = tuesdayClassIdIncrement;
		return this;
    }

    /**
    * 设置 周二班次ID
    * @param tuesdayClassIdList
    */
    public AttendanceGroupFixedworkQuery tuesdayClassIdList(List<Long> tuesdayClassIdList){
        this.tuesdayClassIdList = tuesdayClassIdList;
		return this;
        }

        /**
        * 设置 周二班次ID
        * @param tuesdayClassIdNotList
        */
        public AttendanceGroupFixedworkQuery tuesdayClassIdNotList(List<Long> tuesdayClassIdNotList){
        this.tuesdayClassIdNotList = tuesdayClassIdNotList;
        return this;
        }


	/**
    * 设置 周二班次名称
    * @param tuesdayClassName
    */
    public AttendanceGroupFixedworkQuery tuesdayClassName(String tuesdayClassName){
        setTuesdayClassName(tuesdayClassName);
		return this;
    }

    /**
    * 设置 周二班次名称
    * @param tuesdayClassNameList
    */
    public AttendanceGroupFixedworkQuery tuesdayClassNameList(List<String> tuesdayClassNameList){
        this.tuesdayClassNameList = tuesdayClassNameList;
		return this;
    }

    /**
    * 设置  周三是否考勤(0.否,1.是)
    * @param wednesday
    */
    public AttendanceGroupFixedworkQuery wednesday(Integer wednesday){
	    setWednesday(wednesday);
		return this;
    }
	
	 /**
    * 设置 开始 周三是否考勤(0.否,1.是)
    * @param wednesdayStart
    */
    public AttendanceGroupFixedworkQuery wednesdayStart(Integer wednesdayStart){
		this.wednesdayStart = wednesdayStart;
		return this;
    }

    /**
    * 设置 结束 周三是否考勤(0.否,1.是)
    * @param wednesdayEnd
    */
    public AttendanceGroupFixedworkQuery wednesdayEnd(Integer wednesdayEnd){
		this.wednesdayEnd = wednesdayEnd;
		return this;
    }

    /**
    * 设置 增加 周三是否考勤(0.否,1.是)
    * @param wednesdayIncrement
    */
    public AttendanceGroupFixedworkQuery wednesdayIncrement(Integer wednesdayIncrement){
		this.wednesdayIncrement = wednesdayIncrement;
		return this;
    }

    /**
    * 设置 周三是否考勤(0.否,1.是)
    * @param wednesdayList
    */
    public AttendanceGroupFixedworkQuery wednesdayList(List<Integer> wednesdayList){
        this.wednesdayList = wednesdayList;
		return this;
        }

        /**
        * 设置 周三是否考勤(0.否,1.是)
        * @param wednesdayNotList
        */
        public AttendanceGroupFixedworkQuery wednesdayNotList(List<Integer> wednesdayNotList){
        this.wednesdayNotList = wednesdayNotList;
        return this;
        }

    /**
    * 设置  周三班次ID
    * @param wednesdayClassId
    */
    public AttendanceGroupFixedworkQuery wednesdayClassId(Long wednesdayClassId){
	    setWednesdayClassId(wednesdayClassId);
		return this;
    }
	
	 /**
    * 设置 开始 周三班次ID
    * @param wednesdayClassIdStart
    */
    public AttendanceGroupFixedworkQuery wednesdayClassIdStart(Long wednesdayClassIdStart){
		this.wednesdayClassIdStart = wednesdayClassIdStart;
		return this;
    }

    /**
    * 设置 结束 周三班次ID
    * @param wednesdayClassIdEnd
    */
    public AttendanceGroupFixedworkQuery wednesdayClassIdEnd(Long wednesdayClassIdEnd){
		this.wednesdayClassIdEnd = wednesdayClassIdEnd;
		return this;
    }

    /**
    * 设置 增加 周三班次ID
    * @param wednesdayClassIdIncrement
    */
    public AttendanceGroupFixedworkQuery wednesdayClassIdIncrement(Long wednesdayClassIdIncrement){
		this.wednesdayClassIdIncrement = wednesdayClassIdIncrement;
		return this;
    }

    /**
    * 设置 周三班次ID
    * @param wednesdayClassIdList
    */
    public AttendanceGroupFixedworkQuery wednesdayClassIdList(List<Long> wednesdayClassIdList){
        this.wednesdayClassIdList = wednesdayClassIdList;
		return this;
        }

        /**
        * 设置 周三班次ID
        * @param wednesdayClassIdNotList
        */
        public AttendanceGroupFixedworkQuery wednesdayClassIdNotList(List<Long> wednesdayClassIdNotList){
        this.wednesdayClassIdNotList = wednesdayClassIdNotList;
        return this;
        }


	/**
    * 设置 周三班次名称
    * @param wednesdayClassName
    */
    public AttendanceGroupFixedworkQuery wednesdayClassName(String wednesdayClassName){
        setWednesdayClassName(wednesdayClassName);
		return this;
    }

    /**
    * 设置 周三班次名称
    * @param wednesdayClassNameList
    */
    public AttendanceGroupFixedworkQuery wednesdayClassNameList(List<String> wednesdayClassNameList){
        this.wednesdayClassNameList = wednesdayClassNameList;
		return this;
    }

    /**
    * 设置  周四是否考勤(0.否,1.是)
    * @param thursday
    */
    public AttendanceGroupFixedworkQuery thursday(Integer thursday){
	    setThursday(thursday);
		return this;
    }
	
	 /**
    * 设置 开始 周四是否考勤(0.否,1.是)
    * @param thursdayStart
    */
    public AttendanceGroupFixedworkQuery thursdayStart(Integer thursdayStart){
		this.thursdayStart = thursdayStart;
		return this;
    }

    /**
    * 设置 结束 周四是否考勤(0.否,1.是)
    * @param thursdayEnd
    */
    public AttendanceGroupFixedworkQuery thursdayEnd(Integer thursdayEnd){
		this.thursdayEnd = thursdayEnd;
		return this;
    }

    /**
    * 设置 增加 周四是否考勤(0.否,1.是)
    * @param thursdayIncrement
    */
    public AttendanceGroupFixedworkQuery thursdayIncrement(Integer thursdayIncrement){
		this.thursdayIncrement = thursdayIncrement;
		return this;
    }

    /**
    * 设置 周四是否考勤(0.否,1.是)
    * @param thursdayList
    */
    public AttendanceGroupFixedworkQuery thursdayList(List<Integer> thursdayList){
        this.thursdayList = thursdayList;
		return this;
        }

        /**
        * 设置 周四是否考勤(0.否,1.是)
        * @param thursdayNotList
        */
        public AttendanceGroupFixedworkQuery thursdayNotList(List<Integer> thursdayNotList){
        this.thursdayNotList = thursdayNotList;
        return this;
        }

    /**
    * 设置  周四班次ID
    * @param thursdayClassId
    */
    public AttendanceGroupFixedworkQuery thursdayClassId(Long thursdayClassId){
	    setThursdayClassId(thursdayClassId);
		return this;
    }
	
	 /**
    * 设置 开始 周四班次ID
    * @param thursdayClassIdStart
    */
    public AttendanceGroupFixedworkQuery thursdayClassIdStart(Long thursdayClassIdStart){
		this.thursdayClassIdStart = thursdayClassIdStart;
		return this;
    }

    /**
    * 设置 结束 周四班次ID
    * @param thursdayClassIdEnd
    */
    public AttendanceGroupFixedworkQuery thursdayClassIdEnd(Long thursdayClassIdEnd){
		this.thursdayClassIdEnd = thursdayClassIdEnd;
		return this;
    }

    /**
    * 设置 增加 周四班次ID
    * @param thursdayClassIdIncrement
    */
    public AttendanceGroupFixedworkQuery thursdayClassIdIncrement(Long thursdayClassIdIncrement){
		this.thursdayClassIdIncrement = thursdayClassIdIncrement;
		return this;
    }

    /**
    * 设置 周四班次ID
    * @param thursdayClassIdList
    */
    public AttendanceGroupFixedworkQuery thursdayClassIdList(List<Long> thursdayClassIdList){
        this.thursdayClassIdList = thursdayClassIdList;
		return this;
        }

        /**
        * 设置 周四班次ID
        * @param thursdayClassIdNotList
        */
        public AttendanceGroupFixedworkQuery thursdayClassIdNotList(List<Long> thursdayClassIdNotList){
        this.thursdayClassIdNotList = thursdayClassIdNotList;
        return this;
        }


	/**
    * 设置 周四班次名称
    * @param thursdayClassName
    */
    public AttendanceGroupFixedworkQuery thursdayClassName(String thursdayClassName){
        setThursdayClassName(thursdayClassName);
		return this;
    }

    /**
    * 设置 周四班次名称
    * @param thursdayClassNameList
    */
    public AttendanceGroupFixedworkQuery thursdayClassNameList(List<String> thursdayClassNameList){
        this.thursdayClassNameList = thursdayClassNameList;
		return this;
    }

    /**
    * 设置  周五是否考勤(0.否,1.是)
    * @param friday
    */
    public AttendanceGroupFixedworkQuery friday(Integer friday){
	    setFriday(friday);
		return this;
    }
	
	 /**
    * 设置 开始 周五是否考勤(0.否,1.是)
    * @param fridayStart
    */
    public AttendanceGroupFixedworkQuery fridayStart(Integer fridayStart){
		this.fridayStart = fridayStart;
		return this;
    }

    /**
    * 设置 结束 周五是否考勤(0.否,1.是)
    * @param fridayEnd
    */
    public AttendanceGroupFixedworkQuery fridayEnd(Integer fridayEnd){
		this.fridayEnd = fridayEnd;
		return this;
    }

    /**
    * 设置 增加 周五是否考勤(0.否,1.是)
    * @param fridayIncrement
    */
    public AttendanceGroupFixedworkQuery fridayIncrement(Integer fridayIncrement){
		this.fridayIncrement = fridayIncrement;
		return this;
    }

    /**
    * 设置 周五是否考勤(0.否,1.是)
    * @param fridayList
    */
    public AttendanceGroupFixedworkQuery fridayList(List<Integer> fridayList){
        this.fridayList = fridayList;
		return this;
        }

        /**
        * 设置 周五是否考勤(0.否,1.是)
        * @param fridayNotList
        */
        public AttendanceGroupFixedworkQuery fridayNotList(List<Integer> fridayNotList){
        this.fridayNotList = fridayNotList;
        return this;
        }

    /**
    * 设置  周五班次ID
    * @param fridayClassId
    */
    public AttendanceGroupFixedworkQuery fridayClassId(Long fridayClassId){
	    setFridayClassId(fridayClassId);
		return this;
    }
	
	 /**
    * 设置 开始 周五班次ID
    * @param fridayClassIdStart
    */
    public AttendanceGroupFixedworkQuery fridayClassIdStart(Long fridayClassIdStart){
		this.fridayClassIdStart = fridayClassIdStart;
		return this;
    }

    /**
    * 设置 结束 周五班次ID
    * @param fridayClassIdEnd
    */
    public AttendanceGroupFixedworkQuery fridayClassIdEnd(Long fridayClassIdEnd){
		this.fridayClassIdEnd = fridayClassIdEnd;
		return this;
    }

    /**
    * 设置 增加 周五班次ID
    * @param fridayClassIdIncrement
    */
    public AttendanceGroupFixedworkQuery fridayClassIdIncrement(Long fridayClassIdIncrement){
		this.fridayClassIdIncrement = fridayClassIdIncrement;
		return this;
    }

    /**
    * 设置 周五班次ID
    * @param fridayClassIdList
    */
    public AttendanceGroupFixedworkQuery fridayClassIdList(List<Long> fridayClassIdList){
        this.fridayClassIdList = fridayClassIdList;
		return this;
        }

        /**
        * 设置 周五班次ID
        * @param fridayClassIdNotList
        */
        public AttendanceGroupFixedworkQuery fridayClassIdNotList(List<Long> fridayClassIdNotList){
        this.fridayClassIdNotList = fridayClassIdNotList;
        return this;
        }


	/**
    * 设置 周五班次名称
    * @param fridayClassName
    */
    public AttendanceGroupFixedworkQuery fridayClassName(String fridayClassName){
        setFridayClassName(fridayClassName);
		return this;
    }

    /**
    * 设置 周五班次名称
    * @param fridayClassNameList
    */
    public AttendanceGroupFixedworkQuery fridayClassNameList(List<String> fridayClassNameList){
        this.fridayClassNameList = fridayClassNameList;
		return this;
    }

    /**
    * 设置  周六是否考勤(0.否,1.是)
    * @param saturday
    */
    public AttendanceGroupFixedworkQuery saturday(Integer saturday){
	    setSaturday(saturday);
		return this;
    }
	
	 /**
    * 设置 开始 周六是否考勤(0.否,1.是)
    * @param saturdayStart
    */
    public AttendanceGroupFixedworkQuery saturdayStart(Integer saturdayStart){
		this.saturdayStart = saturdayStart;
		return this;
    }

    /**
    * 设置 结束 周六是否考勤(0.否,1.是)
    * @param saturdayEnd
    */
    public AttendanceGroupFixedworkQuery saturdayEnd(Integer saturdayEnd){
		this.saturdayEnd = saturdayEnd;
		return this;
    }

    /**
    * 设置 增加 周六是否考勤(0.否,1.是)
    * @param saturdayIncrement
    */
    public AttendanceGroupFixedworkQuery saturdayIncrement(Integer saturdayIncrement){
		this.saturdayIncrement = saturdayIncrement;
		return this;
    }

    /**
    * 设置 周六是否考勤(0.否,1.是)
    * @param saturdayList
    */
    public AttendanceGroupFixedworkQuery saturdayList(List<Integer> saturdayList){
        this.saturdayList = saturdayList;
		return this;
        }

        /**
        * 设置 周六是否考勤(0.否,1.是)
        * @param saturdayNotList
        */
        public AttendanceGroupFixedworkQuery saturdayNotList(List<Integer> saturdayNotList){
        this.saturdayNotList = saturdayNotList;
        return this;
        }

    /**
    * 设置  周六班次ID
    * @param saturdayClassId
    */
    public AttendanceGroupFixedworkQuery saturdayClassId(Long saturdayClassId){
	    setSaturdayClassId(saturdayClassId);
		return this;
    }
	
	 /**
    * 设置 开始 周六班次ID
    * @param saturdayClassIdStart
    */
    public AttendanceGroupFixedworkQuery saturdayClassIdStart(Long saturdayClassIdStart){
		this.saturdayClassIdStart = saturdayClassIdStart;
		return this;
    }

    /**
    * 设置 结束 周六班次ID
    * @param saturdayClassIdEnd
    */
    public AttendanceGroupFixedworkQuery saturdayClassIdEnd(Long saturdayClassIdEnd){
		this.saturdayClassIdEnd = saturdayClassIdEnd;
		return this;
    }

    /**
    * 设置 增加 周六班次ID
    * @param saturdayClassIdIncrement
    */
    public AttendanceGroupFixedworkQuery saturdayClassIdIncrement(Long saturdayClassIdIncrement){
		this.saturdayClassIdIncrement = saturdayClassIdIncrement;
		return this;
    }

    /**
    * 设置 周六班次ID
    * @param saturdayClassIdList
    */
    public AttendanceGroupFixedworkQuery saturdayClassIdList(List<Long> saturdayClassIdList){
        this.saturdayClassIdList = saturdayClassIdList;
		return this;
        }

        /**
        * 设置 周六班次ID
        * @param saturdayClassIdNotList
        */
        public AttendanceGroupFixedworkQuery saturdayClassIdNotList(List<Long> saturdayClassIdNotList){
        this.saturdayClassIdNotList = saturdayClassIdNotList;
        return this;
        }


	/**
    * 设置 周六班次名称
    * @param saturdayClassName
    */
    public AttendanceGroupFixedworkQuery saturdayClassName(String saturdayClassName){
        setSaturdayClassName(saturdayClassName);
		return this;
    }

    /**
    * 设置 周六班次名称
    * @param saturdayClassNameList
    */
    public AttendanceGroupFixedworkQuery saturdayClassNameList(List<String> saturdayClassNameList){
        this.saturdayClassNameList = saturdayClassNameList;
		return this;
    }

    /**
    * 设置  周日是否考勤(0.否,1.是)
    * @param sunday
    */
    public AttendanceGroupFixedworkQuery sunday(Integer sunday){
	    setSunday(sunday);
		return this;
    }
	
	 /**
    * 设置 开始 周日是否考勤(0.否,1.是)
    * @param sundayStart
    */
    public AttendanceGroupFixedworkQuery sundayStart(Integer sundayStart){
		this.sundayStart = sundayStart;
		return this;
    }

    /**
    * 设置 结束 周日是否考勤(0.否,1.是)
    * @param sundayEnd
    */
    public AttendanceGroupFixedworkQuery sundayEnd(Integer sundayEnd){
		this.sundayEnd = sundayEnd;
		return this;
    }

    /**
    * 设置 增加 周日是否考勤(0.否,1.是)
    * @param sundayIncrement
    */
    public AttendanceGroupFixedworkQuery sundayIncrement(Integer sundayIncrement){
		this.sundayIncrement = sundayIncrement;
		return this;
    }

    /**
    * 设置 周日是否考勤(0.否,1.是)
    * @param sundayList
    */
    public AttendanceGroupFixedworkQuery sundayList(List<Integer> sundayList){
        this.sundayList = sundayList;
		return this;
        }

        /**
        * 设置 周日是否考勤(0.否,1.是)
        * @param sundayNotList
        */
        public AttendanceGroupFixedworkQuery sundayNotList(List<Integer> sundayNotList){
        this.sundayNotList = sundayNotList;
        return this;
        }

    /**
    * 设置  周日班次ID
    * @param sundayClassId
    */
    public AttendanceGroupFixedworkQuery sundayClassId(Long sundayClassId){
	    setSundayClassId(sundayClassId);
		return this;
    }
	
	 /**
    * 设置 开始 周日班次ID
    * @param sundayClassIdStart
    */
    public AttendanceGroupFixedworkQuery sundayClassIdStart(Long sundayClassIdStart){
		this.sundayClassIdStart = sundayClassIdStart;
		return this;
    }

    /**
    * 设置 结束 周日班次ID
    * @param sundayClassIdEnd
    */
    public AttendanceGroupFixedworkQuery sundayClassIdEnd(Long sundayClassIdEnd){
		this.sundayClassIdEnd = sundayClassIdEnd;
		return this;
    }

    /**
    * 设置 增加 周日班次ID
    * @param sundayClassIdIncrement
    */
    public AttendanceGroupFixedworkQuery sundayClassIdIncrement(Long sundayClassIdIncrement){
		this.sundayClassIdIncrement = sundayClassIdIncrement;
		return this;
    }

    /**
    * 设置 周日班次ID
    * @param sundayClassIdList
    */
    public AttendanceGroupFixedworkQuery sundayClassIdList(List<Long> sundayClassIdList){
        this.sundayClassIdList = sundayClassIdList;
		return this;
        }

        /**
        * 设置 周日班次ID
        * @param sundayClassIdNotList
        */
        public AttendanceGroupFixedworkQuery sundayClassIdNotList(List<Long> sundayClassIdNotList){
        this.sundayClassIdNotList = sundayClassIdNotList;
        return this;
        }


	/**
    * 设置 周日班次名称
    * @param sundayClassName
    */
    public AttendanceGroupFixedworkQuery sundayClassName(String sundayClassName){
        setSundayClassName(sundayClassName);
		return this;
    }

    /**
    * 设置 周日班次名称
    * @param sundayClassNameList
    */
    public AttendanceGroupFixedworkQuery sundayClassNameList(List<String> sundayClassNameList){
        this.sundayClassNameList = sundayClassNameList;
		return this;
    }

    /**
    * 设置  法定节假日自动排休(0.否,1.是)
    * @param holidays
    */
    public AttendanceGroupFixedworkQuery holidays(Integer holidays){
	    setHolidays(holidays);
		return this;
    }
	
	 /**
    * 设置 开始 法定节假日自动排休(0.否,1.是)
    * @param holidaysStart
    */
    public AttendanceGroupFixedworkQuery holidaysStart(Integer holidaysStart){
		this.holidaysStart = holidaysStart;
		return this;
    }

    /**
    * 设置 结束 法定节假日自动排休(0.否,1.是)
    * @param holidaysEnd
    */
    public AttendanceGroupFixedworkQuery holidaysEnd(Integer holidaysEnd){
		this.holidaysEnd = holidaysEnd;
		return this;
    }

    /**
    * 设置 增加 法定节假日自动排休(0.否,1.是)
    * @param holidaysIncrement
    */
    public AttendanceGroupFixedworkQuery holidaysIncrement(Integer holidaysIncrement){
		this.holidaysIncrement = holidaysIncrement;
		return this;
    }

    /**
    * 设置 法定节假日自动排休(0.否,1.是)
    * @param holidaysList
    */
    public AttendanceGroupFixedworkQuery holidaysList(List<Integer> holidaysList){
        this.holidaysList = holidaysList;
		return this;
        }

        /**
        * 设置 法定节假日自动排休(0.否,1.是)
        * @param holidaysNotList
        */
        public AttendanceGroupFixedworkQuery holidaysNotList(List<Integer> holidaysNotList){
        this.holidaysNotList = holidaysNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public AttendanceGroupFixedworkQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public AttendanceGroupFixedworkQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public AttendanceGroupFixedworkQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public AttendanceGroupFixedworkQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public AttendanceGroupFixedworkQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public AttendanceGroupFixedworkQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public AttendanceGroupFixedworkQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public AttendanceGroupFixedworkQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public AttendanceGroupFixedworkQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public AttendanceGroupFixedworkQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public AttendanceGroupFixedworkQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public AttendanceGroupFixedworkQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public AttendanceGroupFixedworkQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public AttendanceGroupFixedworkQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AttendanceGroupFixedworkQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AttendanceGroupFixedworkQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AttendanceGroupFixedworkQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AttendanceGroupFixedworkQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}